SoProjectionMatrixElement(3)

NAME
SoProjectionMatrixElement - The SoProjectionMatrixElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoProjectionMatrixElement.h>

Inherits SoReplacedElement.

Inherited by SoGLProjectionMatrixElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbMatrix &matrix)
static const SbMatrix & get (SoState *const state)

  Protected Member Functions
virtual ~SoProjectionMatrixElement ()
virtual void setElt (SbMatrix const &matrix)

  Protected Attributes
SbMatrix projectionMatrix

  Additional Inherited Members

Detailed Description

The SoProjectionMatrixElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoProjectionMatrixElement::~SoProjectionMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoProjectionMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProjectionMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoProjectionMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoProjectionMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoProjectionMatrixElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for projectionMatrix is the identity matrix.

Reimplemented from SoReplacedElement.

  void SoProjectionMatrixElement::set (SoState *const state, SoNode *const node, const SbMatrix & projectionMatrix) [static]
Sets the current projection matrix to matrix.

  const SbMatrix & SoProjectionMatrixElement::get (SoState *const state) [static]
Returns the current projection matrix.

  void SoProjectionMatrixElement::setElt (SbMatrix const & matrix) [protected], [virtual]
virtual method which is called from the static method set(). Sets element projection matrix to matrix.

Reimplemented in SoGLProjectionMatrixElement.

Member Data Documentation

  SoProjectionMatrixElement::projectionMatrix [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.